# m3e/circular_progress_indicator

CircularProgressIndicator is a circular indicator of progress and activity.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## CircularProgressIndicator

opaque </>

CircularProgressIndicator is a View Model for this component

## Fields:

- indeterminate: Whether to show something is happening without conveying progress.
- max: The maximum progress value.
- value: A fractional value, between 0 and `max`, indicating progress.
- variant: The appearance of the indicator.

    pub opaque type CircularProgressIndicator

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        indeterminate: Indeterminate,
        max: Float,
        value: Float,
        variant: progress_indicator_variant.ProgressIndicatorVariant,
      )
    }

### Constructors

-     Config(
        indeterminate: Indeterminate,
        max: Float,
        value: Float,
        variant: progress_indicator_variant.ProgressIndicatorVariant,
      )

## Indeterminate

</>

Indeterminate is whether to show something is happening without conveying progress.

    pub type Indeterminate {
      IsIndeterminate
      IsNotIndeterminate
    }

### Constructors

-     IsIndeterminate

-     IsNotIndeterminate

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_indeterminate

</>

    pub const default_indeterminate: Indeterminate

## default_max

</>

    pub const default_max: Float

## default_value

</>

    pub const default_value: Float

## default_variant

</>

    pub const default_variant: progress_indicator_variant.ProgressIndicatorVariant

## from_config

</>

    pub fn from_config(config: Config) -> CircularProgressIndicator

from_config creates a new CircularProgressIndicator from the given configuration.

## indeterminate

</>

    pub fn indeterminate(
      record: CircularProgressIndicator,
      indeterminate: Indeterminate,
    ) -> CircularProgressIndicator

indeterminate sets the value of indeterminate for this CircularProgressIndicator.

## max

</>

    pub fn max(
      record: CircularProgressIndicator,
      max: Float,
    ) -> CircularProgressIndicator

max sets the value of max for this CircularProgressIndicator.

## new

</>

    pub fn new() -> CircularProgressIndicator

new creates a new CircularProgressIndicator with the default configuration.

## render

</>

    pub fn render(
      model: CircularProgressIndicator,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a CircularProgressIndicator

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a CircularProgressIndicator Config

## value

</>

    pub fn value(
      record: CircularProgressIndicator,
      value: Float,
    ) -> CircularProgressIndicator

value sets the value of value for this CircularProgressIndicator.

## variant

</>

    pub fn variant(
      record: CircularProgressIndicator,
      variant: progress_indicator_variant.ProgressIndicatorVariant,
    ) -> CircularProgressIndicator

variant sets the value of variant for this CircularProgressIndicator.

✨